#include "SynEngine.hpp"

class Grid
{
    private:
        sf::Vector2i offset;
        sf::Vector2i gridSize;
        GameConfiguration *config;

    public:
        Grid();
        bool SetGrid(GameConfiguration &);
        ~Grid();
};

Grid::Grid()
{
    config = NULL;
}

bool Grid::SetGrid(GameConfiguration &config)
{
    this -> config = &config;

    if(!this -> config) return false;

    sf::Vector2i screenDimensions = config.GetScreenDimensions();
    gridSize = config.GetGridSize();
    offset = config.GetGridOffset();

    return true;
}

Grid::~Grid()
{
}
